-- 公会-心愿墙 分享
Lua_AllianceWishWallInfoItem = class("Lua_AllianceWishWallInfoItem", Lua_DisplayObject);
function Lua_AllianceWishWallInfoItem:ctor(p, dire)
	self:superCall("ctor", p, dire == 1 and "AllianceWishWallLeftInfoItem_skin" or "AllianceWishWallRightInfoItem_skin");
	self.dire = dire; -- 1左边，2右边
end

function Lua_AllianceWishWallInfoItem:buildShowItem()
	self:superCall("buildShowItem");

	-- 策划要求，隐藏前往查看进度，描述居中，点击助力改为前往助力
	self.desTxt.alignmentValue = 3;
	self.desTxt:setLocation(-54, -self.itemBg.height / 2, 0);
	self.readBtn:setEnable(false);

	-- self.readBtn:addClickFuntion(self, self.onReadClick);
	-- self.assistBtn:addClickFuntion(self, self.onAssistClick);
	self.assistBtn:addClickFuntion(self, self.onReadClick);
end

function Lua_AllianceWishWallInfoItem:setData(chatVo)
	self.chatVo = chatVo;
	if chatVo == nil then
		return;
	end
	self.desTxt.text = chatVo.content;
end

function Lua_AllianceWishWallInfoItem:getWidth()
	return self.itemBg.width;
end

function Lua_AllianceWishWallInfoItem:getHeight()
	return self.itemBg.height + 0;
end

function Lua_AllianceWishWallInfoItem:onReadClick(go)
	self:onjudgeFun(1);
end

function Lua_AllianceWishWallInfoItem:onAssistClick(go)
	self:onjudgeFun(2);
end

function Lua_AllianceWishWallInfoItem:onjudgeFun(clickType)
	local showStr = string.gsub(self.chatVo.content, "</url>", "");
	local startIndex = string.find(showStr, "=");
	local endIndex = string.find(showStr, ">");
	local urlStr = string.sub(showStr, startIndex + 1, endIndex - 1);
	local arr = string.split(urlStr, "~");
	-- 策划要求去掉判断自己
	-- if DataCenter.roleData.roleId == tonumber(arr[1]) then
	-- 	OperateAlert.showLangValue(780019);
	-- 	return;
	-- end
	if DataCenter.allianceData.openLeftTime > 0 then
		OperateAlert.show(LanUtil.formateStr(780017, DataCenter.allianceUtil.openCdTime))
		return;
	end
	if clickType == 1 then
		DataCenter.allianceData.recordAllyChatContent = self.chatVo.content;
		Lua_ProxyManager.getProxy("Lua_AllianceProxy"):sLeagueWishWallSingleAllyInfo(tonumber(arr[1]), arr[2]);
	elseif clickType == 2 then
		-- local leftHelpTimes = DataCenter.allianceData.leftHelpTimes;
		-- if leftHelpTimes <= 0 then
		-- 	OperateAlert.show("今日助力次数已耗尽");
		-- else
			Lua_ProxyManager.getProxy("Lua_AllianceProxy"):sLeagueWishWallAssistAllyInfo(tonumber(arr[1]), arr[2], 1, tonumber(arr[3]));
		-- end
	end
end

function Lua_AllianceWishWallInfoItem:clean()
	self.chatVo = nil;
end

function Lua_AllianceWishWallInfoItem:dispose()
	self:clean();
	self:superCall("dispose");
end