-- 新服专享
Lua_NewServeGiftVo = class("Lua_NewServeGiftVo")
function Lua_NewServeGiftVo:ctor(id, config)
	self.id = id;
	self.config = getConfig("open_particular", id);
end

function Lua_NewServeGiftVo:dispose()
	self._reward = nil;
end

function Lua_NewServeGiftVo:updateNewServerGiftInfo(msg)
	self.limitTimes = msg; -- 领取限制
end

-- 礼包限制
function Lua_NewServeGiftVo.Get:limitTimes()
	if self._limitTimes == nil then
		self._limitTimes = self.limit_times;
	end
	return self._limitTimes;
end

-- 礼包限制
function Lua_NewServeGiftVo.Set:limitTimes(val)
	self._limitTimes = val;
end

-- 礼包档位
function Lua_NewServeGiftVo.Get:grade()
	return self.config.grade;
end

-- 充值金额
function Lua_NewServeGiftVo.Get:recharge()
	return self.config.recharge;
end

-- 限制购买次数
function Lua_NewServeGiftVo.Get:limit_times()
	return self.config.limit_times;
end

-- 礼包奖励
function Lua_NewServeGiftVo.Get:reward()
	if self._reward == nil then
		self._reward = {};
		local dic = {};
		for i = 1, #self.double_id_list do
			dic[self.double_id_list[i]] = true;
		end

		local list = self.config.reward;
		for i = 1, #list do
			self._reward[i] = {list[i][1], list[i][2], dic[list[i][1]]};
		end
	end
	return self._reward;
end

-- 子礼包标题
function Lua_NewServeGiftVo.Get:title()
	return self.config.title;
end

-- 双倍的道具id
function Lua_NewServeGiftVo.Get:double_id_list()
	return self.config.double_id_list;
end