checkRequire("Lua_FormTeamCompetitionData");
checkRequire("Lua_FormTeamCompetitionUtil");
Lua_FormTeamCompetitionProxy = class("Lua_FormTeamCompetitionProxy")
function Lua_FormTeamCompetitionProxy:ctor()
	DataCenter.formTeamCompetitionData = Lua_FormTeamCompetitionData:new();
	DataCenter.formTeamCompetitionUtil = Lua_FormTeamCompetitionUtil.new();

	Lua_MsgUtil.addLuaMsg(50215001, self, self.rGetFormTeamCompetitionInfo); --请求组队赛界面信息(返回)
	Lua_MsgUtil.addLuaMsg(50215002, self, self.rGetFormTeamCompetitionTeamRankInfo); --请求组队赛排名信息(返回)
	Lua_MsgUtil.addLuaMsg(50215003, self, self.rGetFormTeamCompetitionChampionInfo); --请求组队赛历届冠军信息(返回)
	Lua_MsgUtil.addLuaMsg(50215004, self, self.rGetFormTeamCompetitionRewardInfo); --请求进度奖励界面(返回)
	Lua_MsgUtil.addLuaMsg(50215005, self, self.rGetFormTeamCompetitionRecordInfo); --请求组队赛录像界面(返回)
	Lua_MsgUtil.addLuaMsg(50215006, self, self.rGetFormTeamCompetitionSingleRecordDetailInfo); --请求组队赛记录详细信息(返回)
	Lua_MsgUtil.addLuaMsg(50215008, self, self.rGetFormTeamCompetitionFightResultInfo); --请求组队赛结算数据(返回)
	Lua_MsgUtil.addLuaMsg(50215009, self, self.rGetFormTeamCompetitionFightPanelInfo); --请求组队赛挑战界面(返回)
	Lua_MsgUtil.addLuaMsg(50215010, self, self.rGetFormTeamCompetitionFightLineupInfo); --请求组队赛挑战阵容界面(返回)
	Lua_MsgUtil.addLuaMsg(50215011, self, self.rGetFormTeamCompetitionPassFight); --请求组队赛跳过战斗(返回)
	Lua_MsgUtil.addLuaMsg(50215013, self, self.rGetFormTeamCompetitionCreateTeam); --请求创建组队赛队伍(返回)
	Lua_MsgUtil.addLuaMsg(50215014, self, self.rGetFormTeamCompetitionTeamPanelInfo); --请求组队赛组队界面(返回)
	Lua_MsgUtil.addLuaMsg(50215015, self, self.rGetFormTeamCompetitionOneKey); --请求一键托管(返回)
	Lua_MsgUtil.addLuaMsg(50215016, self, self.rGetFormTeamCompetitionFindTeam); --请求搜索组队队伍(返回)
	-- Lua_MsgUtil.addLuaMsg(50215018, self, self.rGetFormTeamCompetitionOneKeyJoin); --请求一键加入队伍(返回)
	Lua_MsgUtil.addLuaMsg(50215019, self, self.rGetFormTeamCompetitionInviteInfo); --请求邀请信息列表(返回)
	Lua_MsgUtil.addLuaMsg(50215020, self, self.rGetFormTeamCompetitionInvitedFeedBackInfo); --请求反馈组队邀请(返回)
	Lua_MsgUtil.addLuaMsg(50215021, self, self.rGetFormTeamCompetitionPersonRoom); --请求组队赛个人房间信息(返回)
	Lua_MsgUtil.addLuaMsg(50215022, self, self.rGetFormTeamCompetitionHidePerson); --请求隐藏队伍内成员阵容(返回)
	Lua_MsgUtil.addLuaMsg(50215028, self, self.rGetFormTeamCompetitionFriendsInfo); --请求盟友招募界面(返回)
	Lua_MsgUtil.addLuaMsg(50215029, self, self.rGetFormTeamCompetitionRecommendFriendsInfo); --请求推荐招募界面(返回)
	Lua_MsgUtil.addLuaMsg(50215031, self, self.rGetFormTeamCompetitionApplyJoinTeam); --请求申请入队列表(返回)
	Lua_MsgUtil.addLuaMsg(50215032, self, self.rGetFormTeamCompetitionFeedCallApplyJoinTeam); --请求反馈入队邀请(返回)
	Lua_MsgUtil.addLuaMsg(50215033, self, self.rGetFormTeamCompetitionApplication); --房主请求参赛(返回)
	-- Lua_MsgUtil.addLuaMsg(50215034, self, self.rGetFormTeamCompetitionProcessReward); --请求反馈入队邀请(返回)
	Lua_MsgUtil.addLuaMsg(50215035, self, self.rGetFormTeamCompetitionTeamInfo); --请求反馈入队邀请(返回)
	Lua_MsgUtil.addLuaMsg(50215036, self, self.rGetFormTeamCompetitionJoinTeam); --请求加入队伍(返回)
	Lua_MsgUtil.addLuaMsg(50215037, self, self.rGetFormTeamCompetitionModifyTeamPower); --请求修改入队模式(返回)




	Lua_MsgUtil.addLuaMsg(80215032, self, self.noticeNewPlayerJoin); --通知房主房间新玩家加入
	Lua_MsgUtil.addLuaMsg(80215033, self, self.noticeTeamLeaderJoin); --通知房主参赛
	Lua_MsgUtil.addLuaMsg(80215001, self, self.noticeErrorStr); --通知错误信息
	Lua_MsgUtil.addLuaMsg(80215005, self, self.noticeRecordRedPoint); --通知战斗记录红点
	Lua_MsgUtil.addLuaMsg(80215036, self, self.noticeSuccessJoinTeam); --通知成功加入队伍
	Lua_MsgUtil.addLuaMsg(80215009, self, self.noticeTeamBanFight); --通知组队赛休赛期
	
end



---------------------------------------请求--------------------------------
-- 请求组队赛界面信息
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionInfo() 
    sendMsg(10215001);
end

-- 请求组队赛排名信息
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionTeamRankInfo() 
    sendMsg(10215002);
end

-- 请求组队赛历届冠军信息
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionChampionInfo() 
    sendMsg(10215003);
end

-- 请求进度奖励界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionRewardInfo() 
    sendMsg(10215004);
end

-- 请求组队赛录像界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionRecordInfo(type) --1最新 2热门
	local cmd = ProtoPublic_pb.Proto10215005();
    cmd.type = type;
    sendMsg(10215005, cmd);
end

-- 请求组队赛记录详细信息
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionSingleRecordDetailInfo(fight_id) 
	local cmd = ProtoPublic_pb.Proto10215006();
    cmd.fight_id = fight_id;
    sendMsg(10215006, cmd);
end

-- 请求组队赛战斗记录
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionFightInfo(record_id, rotation) 
	local cmd = ProtoPublic_pb.Proto10215007();
	cmd.record_id = tonumber(record_id);
	cmd.rotation = rotation;
    sendMsg(10215007, cmd);
end

-- 请求组队赛结算数据
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionFightResultInfo(record_id) 
	local cmd = ProtoPublic_pb.Proto10215008();
	cmd.record_id = tonumber(record_id);
    sendMsg(10215008, cmd);
end

-- 请求组队赛挑战界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionFightPanelInfo() 
    sendMsg(10215009);
end

-- 请求组队赛挑战阵容界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionFightLineupInfo(id) 
	local cmd = ProtoPublic_pb.Proto10215010();
	cmd.id = id;
    sendMsg(10215010, cmd);
end

-- 请求组队赛跳过战斗
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionPassFight(skip) 
	local cmd = ProtoPublic_pb.Proto10215011();
	cmd.skip = skip;
    sendMsg(10215011, cmd);
end

-- 请求组队赛挑战阵容界面
function Lua_FormTeamCompetitionProxy:sSendFormTeamCompetitionFighting(id, sort_list) 
	local cmd = ProtoPublic_pb.Proto10215012();
	cmd.id = id;
	for i = 1, #sort_list do
		cmd.sort_list:append(tonumber(sort_list[i]));
	end

    sendMsg(10215012, cmd);
end

-- 请求创建组队赛队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionCreateTeam(auto_join, team_name) 
	local cmd = ProtoPublic_pb.Proto10215013();
	cmd.auto_join = auto_join;
	cmd.team_name = team_name;

    sendMsg(10215013, cmd);
end

-- 请求组队赛组队界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionTeamPanelInfo() 
    sendMsg(10215014);
end

-- 请求创建组队赛队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionOneKey(auto) 
	local cmd = ProtoPublic_pb.Proto10215015();
	cmd.auto = auto;

    sendMsg(10215015, cmd);
end

-- 请求搜索组队队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionFindTeam(key_word) 
	local cmd = ProtoPublic_pb.Proto10215016();
	cmd.key_word = key_word;

    sendMsg(10215016, cmd);
end

-- 请求刷新组队队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionRefleshTeams() 
    sendMsg(10215017);
end

-- 请求一键加入队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionOneKeyJoin() 
    sendMsg(10215018);
end

-- 请求邀请信息列表
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionInviteInfo() 
    sendMsg(10215019);
end

-- 请求反馈组队邀请
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionInvitedFeedBackInfo(team_id, type) 
	local cmd = ProtoPublic_pb.Proto10215020();
	cmd.team_id = team_id;
	cmd.type = type; -- 0 接收 1拒绝
    sendMsg(10215020, cmd);
end

-- 请求组队赛个人房间信息
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionPersonRoom()
    sendMsg(10215021);
end

-- 请求隐藏队伍内成员阵容
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionHidePlayer(player_id)
	local cmd = ProtoPublic_pb.Proto10215022();
	cmd.player_id = tonumber(player_id);
    sendMsg(10215022, cmd);
end

-- 请求更换房间队伍排序
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionLeaderSortPlayer(sort_list)
	local cmd = ProtoPublic_pb.Proto10215023();
	for i = 1, #sort_list do
		cmd.sort_list:append(tonumber(sort_list[i]));
	end
    sendMsg(10215023, cmd);
end

-- 队伍房间成员准备
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionPlayerReady(already)
	local cmd = ProtoPublic_pb.Proto10215024();
	cmd.already = already; -- 0 取消准备 1准备
    sendMsg(10215024, cmd);
end

-- 请求退出队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionExist()
    sendMsg(10215025);
end

-- 请求踢出队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionDeletePlayer(player_id)
	local cmd = ProtoPublic_pb.Proto10215026();
	cmd.player_id = tonumber(player_id); 
    sendMsg(10215026, cmd);
end

-- 邀请玩家入队
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionInvitePlayer(player_id, server_flag)
	local cmd = ProtoPublic_pb.Proto10215027();
	cmd.player_id = tonumber(player_id); 
	cmd.server_flag = server_flag;
    sendMsg(10215027, cmd);
end

-- 请求盟友招募界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionFriendsInfo(friend_list)
	local cmd = ProtoPublic_pb.Proto10215028();
	for i = 1, #friend_list do
        cmd.friend_list:append(tonumber(friend_list[i]));
    end
    sendMsg(10215028, cmd);
end

-- 请求推荐招募界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionRecommendFriendsInfo(key_word)
	local cmd = ProtoPublic_pb.Proto10215029();
	if key_word ~= nil then
		cmd.key_word = key_word; 
	end
    sendMsg(10215029, cmd);
end

-- 请求刷新推荐招募界面
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionRefleshRecommendFriendsInfo()
    sendMsg(10215030);
end

-- 请求申请入队列表
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionApplyJoinTeam()
    sendMsg(10215031);
end

-- 请求反馈入队邀请
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionFeedCallApplyJoinTeam(player_id, server_flag, state)
	local cmd = ProtoPublic_pb.Proto10215032();
	cmd.player_id = tonumber(player_id); 
	cmd.server_flag = server_flag;
	cmd.state = state; -- 0通过 1拒绝
    sendMsg(10215032, cmd);
end

-- 房主请求参赛
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionLeaderApplicationName(join_team)
	local cmd = ProtoPublic_pb.Proto10215033();
	cmd.join_team = join_team;  
    sendMsg(10215033, cmd);
end

-- 请求领取进度奖励
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionProcessReward(reward_id)
	local cmd = ProtoPublic_pb.Proto10215034();
	cmd.reward_id = reward_id;  
    sendMsg(10215034, cmd);
end

-- 请求队伍详细信息
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionTeamInfo(team_id)
	local cmd = ProtoPublic_pb.Proto10215035();
	cmd.team_id = team_id;  
    sendMsg(10215035, cmd);
end

-- 请求加入队伍
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionJoinTeam(team_id)
	local cmd = ProtoPublic_pb.Proto10215036();
	cmd.team_id = team_id; 
    sendMsg(10215036, cmd);
end

-- 请求修改入队模式
function Lua_FormTeamCompetitionProxy:sGetFormTeamCompetitionModifyTeamPower(auto_join)
	local cmd = ProtoPublic_pb.Proto10215037();
	cmd.auto_join = auto_join; 
    sendMsg(10215037, cmd);
end







---------------------------------------返回--------------------------------
--请求组队赛界面信息(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionInfo(mp) 
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215001();
        msg:ParseFromString(mp.data);
        DataCenter.formTeamCompetitionData:fromServer50215001(msg);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_MAIN_INFO", msg);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_HAS_TEAM");
    end
end

--请求组队赛排名信息(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionTeamRankInfo(mp) 
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215002();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("FORMTEAMCOMPETITION_TEAM_RANK_UPDATE", msg);
    end
end

--请求组队赛历届冠军信息(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionChampionInfo(mp) 
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215003();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("FORMTEAMCOMPETITION_CHAMPION_RANK_UPDATE", msg.champion_list);
    end
end

--请求进度奖励界面(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionRewardInfo(mp) 
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215004();
        msg:ParseFromString(mp.data);
        DataCenter.formTeamCompetitionData:fromServer50215004(msg);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_PROCESS_REWARD");
    end
end

--请求组队赛录像界面(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionRecordInfo(mp) 
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215005();
        msg:ParseFromString(mp.data);
        if msg.type == 1 then
        	Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_RECORDDATA", msg);
        elseif msg.type == 2 then
        	Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_VEDIODATA", msg);
        end
    end
end

--请求组队赛记录详细信息(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionSingleRecordDetailInfo(mp) 
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215006();
        msg:ParseFromString(mp.data);
        Lua_WindowUtil.openWin("Lua_FormTeamCompetitionFightDetailInfoWindow", Lua_WinParam.ACTION_OPEN, msg);
    end
end

--请求组队赛结算数据(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionFightResultInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215008();
        msg:ParseFromString(mp.data);
        Lua_WindowUtil.openWin("Lua_FightOverallHurtWindow", Lua_WinParam.ACTION_OPEN, msg.hurt_collect);
    end
end

--请求组队赛挑战界面(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionFightPanelInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215009();
        msg:ParseFromString(mp.data);
        DataCenter.formTeamCompetitionData:fromServer50215009(msg);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_FIGHTTEAM_DATA", msg);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_SHOW_FIGHTTAB");
    end
end

--请求组队赛挑战阵容界面(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionFightLineupInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215010();
        msg:ParseFromString(mp.data);
        DataCenter.formTeamCompetitionData:fromServer50215010(msg);
        Lua_WindowUtil.openWin("Lua_FormTeamCompetitionTeamAdjustWindow", Lua_WinParam.ACTION_OPEN, msg);
    end
end

--请求组队赛跳过战斗(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionPassFight(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215011();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("FORMTEAM_COMPETITION_UPDATE_PASSFIGHT", msg.skip);
    end
end

--请求创建组队赛队伍(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionCreateTeam(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215013();
        msg:ParseFromString(mp.data);

        local team_id = tonumber(msg.team_id);
        if team_id ~= nil and team_id > 0 then
        	OperateAlert.showLangValue(772127);
	        DataCenter.formTeamCompetitionData:fromServer50215013(msg);
	        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_SUCCESS_CREATE_TEAM");
	        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_HAS_TEAM");
	    end
    end
end

--请求组队赛组队界面(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionTeamPanelInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215014();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_LIST", msg);
    end
end

-- 请求一键托管(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionOneKey(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215015();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_TEAM_LIST_ONEKEYBOX", msg.auto);
    end
end

-- 请求搜索组队队伍(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionFindTeam(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215016();
        msg:ParseFromString(mp.data);
        if msg.search_list == nil or #msg.search_list <= 0 then
        	OperateAlert.showLangValue(772096);
        	return;
        end
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_TEAM_LIST", msg.search_list);
    end
end

-- --请求一键加入队伍(返回)
-- function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionOneKeyJoin(mp)
-- 	if mp.errno == 0 then
--         local msg = ProtoPublic_pb.Proto50215018();
--         msg:ParseFromString(mp.data);
--         if msg.insert == 1 then
--         	OperateAlert.showLangValue(772134);
--         end
--         -- if msg.not_null == 1 then
--         -- 	OperateAlert.showLangValue(772045);
--         -- else
--         -- end
--     end
-- end

--请求邀请信息列表(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionInviteInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215019();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_INVITETOJOINTAM", msg);

        local bShow = msg.invite_list ~= nil and #msg.invite_list > 0;
        DataCenter.formTeamCompetitionData:updateInvitateInfoRedPoint(bShow);
    end
end

--请求反馈组队邀请(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionInvitedFeedBackInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215020();
        msg:ParseFromString(mp.data);
        -- 1 队伍已满 2队伍不存在
        if msg.error == 1 then
        	OperateAlert.showLangValue(772055);
        elseif msg.error == 2 then
        	OperateAlert.showLangValue(772056);
        end
    end
end

-- 请求组队赛个人房间信息(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionPersonRoom(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215021();
        msg:ParseFromString(mp.data);
        DataCenter.formTeamCompetitionData:fromServer50215021(msg);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_MYTEAM", msg);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_HAS_TEAM");
    end
end

--请求盟友招募界面(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionFriendsInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215028();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_INVITATION_FRIEND", msg.wait_list);
    end
end

--请求推荐招募界面(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionRecommendFriendsInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215029();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_INVITATION_RECOMMEND", msg.wait_list);
    end
end

--请求申请入队列表(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionApplyJoinTeam(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215031();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_INVITATION_LIST", msg.wait_list);

        local bShow = msg.wait_list ~= nil and #msg.wait_list > 0;
        DataCenter.formTeamCompetitionData:updateMemberRecruitRedPoint(bShow);
    end
end

--请求反馈入队邀请(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionFeedCallApplyJoinTeam(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215032();
        msg:ParseFromString(mp.data);
        if msg.error == 1 then
        	OperateAlert.showLangValue(772097);
        elseif msg.error == 2 then
        	OperateAlert.showLangValue(772098);
        end
    end
end

--通知房主房间新玩家加入
function Lua_FormTeamCompetitionProxy:noticeNewPlayerJoin(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80215032();
        msg:ParseFromString(mp.data);
        local str = LanUtil.formateStr(772110, msg.join_name);
        OperateAlert.show(str);
    end
end

-- 通知房主参赛
function Lua_FormTeamCompetitionProxy:noticeTeamLeaderJoin(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80215033();
        msg:ParseFromString(mp.data);
        -- join 0隐藏 1显示
        Lua_MsgUtil.callFunc("FORMTEAMCOMPELTITION_APPLICATION_TIP", msg.join);
    end
end

-- 通知错误信息
function Lua_FormTeamCompetitionProxy:noticeErrorStr(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80215001();
        msg:ParseFromString(mp.data);
        if msg.error_id == -5811 then
        	OperateAlert.showLangValue(772099);
        elseif msg.error_id == -5810 then
        	OperateAlert.showLangValue(772100);
        elseif msg.error_id == -5809 then
        	OperateAlert.showLangValue(772101);	
        elseif msg.error_id == -5808 then
        	OperateAlert.showLangValue(772102);	
        elseif msg.error_id == -5807 then
        	OperateAlert.showLangValue(772103);
        elseif msg.error_id == -5806 then
        	OperateAlert.showLangValue(772104);	
        elseif msg.error_id == -5805 then
        	OperateAlert.showLangValue(772105);
        elseif msg.error_id == -5804 then
        	OperateAlert.showLangValue(772106);
        elseif msg.error_id == -5803 then
        	OperateAlert.showLangValue(772107);
        elseif msg.error_id == -5802 then
        	OperateAlert.showLangValue(772108);
        elseif msg.error_id == -5801 then
        	OperateAlert.showLangValue(772109);
        end
    end
end

-- 请求队伍详细信息(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionTeamInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215035();
        msg:ParseFromString(mp.data);
       

        -- DataCenter.formTeamCompetitionData:fromServer50215035(msg);
        -- Lua_MsgUtil.callFunc("UPDATE_DIVINEDOMAINTRIAL_TRIAL_DATA");
    end
end

-- 请求修改入队模式(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionModifyTeamPower(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215037();
        msg:ParseFromString(mp.data);
       	
       	OperateAlert.showLangValue(772128);
        Lua_MsgUtil.callFunc("UPDATE_FORMTEAMCOMPETITION_MYTEAM_LEADERPOWER", msg.auto_join);
    end
end

-- 通知
function Lua_FormTeamCompetitionProxy:noticeRecordRedPoint(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80215005();
        msg:ParseFromString(mp.data);
        if msg.flag == 1 then
        	DataCenter.formTeamCompetitionData:updateFightRecordRedPoint(true);
        end
    end
end

-- 房主请求参赛(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionApplication(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215033();
        msg:ParseFromString(mp.data);
       	
       	if msg.join == 1 then
       		OperateAlert.showLangValue(772131);
       	end
    end
end

-- 请求隐藏队伍内成员阵容(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionHidePerson(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50215022();
        msg:ParseFromString(mp.data);
       	
       	if msg.hide == 1 then
       		OperateAlert.showLangValue(772130);
       	elseif msg.hide == 0 then
       		OperateAlert.showLangValue(772129);
       	end
    end
end

--请求加入队伍(返回)
function Lua_FormTeamCompetitionProxy:rGetFormTeamCompetitionJoinTeam(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50215036();
		msg:ParseFromString(mp.data);

	 	if msg.auto_join == 0 then
	 		OperateAlert.showLangValue(772132);
	 	end
	end
end

-- 通知成功加入队伍
function Lua_FormTeamCompetitionProxy:noticeSuccessJoinTeam(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80215036();
        msg:ParseFromString(mp.data);
       	
       	if msg.flag == 1 then
       		OperateAlert.showLangValue(772134);
       	end
    end
end

-- 通知组队赛休赛期
function Lua_FormTeamCompetitionProxy:noticeTeamBanFight(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80215009();
        msg:ParseFromString(mp.data);
       	
       	if msg.flag == 1 then
       		DataCenter.formTeamCompetitionData:updateFightNumRedPoint();
       	end
    end
end