Lua_GodSeaDanVo = class("Lua_GodSeaDanVo")
function Lua_GodSeaDanVo:ctor(id)
	self._id = id;
end

function Lua_GodSeaDanVo.Get:id()
	return self._id;
end

function Lua_GodSeaDanVo.Get:config()
	return getConfig("god_sea_dan", self.id);
end

function Lua_GodSeaDanVo:fromServer(msg)
	if msg == nil or msg.dan_id ~= self.id then
		self._person_num = 0;
		self._reward_state = 0;
		self._spire_role = nil;
	else
		self._person_num = msg.dan_person_num;
		self._reward_state = msg.reward_state;
		self._spire_role = msg.spire_role;
	end
end

function Lua_GodSeaDanVo.Get:personNum()
	return self._person_num or 0;
end

function Lua_GodSeaDanVo.Get:rewardState()
	return self._reward_state or 0;
end

function Lua_GodSeaDanVo.Set:rewardState(value)
	self._reward_state = value;
end

function Lua_GodSeaDanVo.Get:spireRole()
	return self._spire_role;
end

function Lua_GodSeaDanVo.Get:firstRewardVo()
	if self._firstRewardVo == nil then
		self._firstRewardVo = Lua_ToolVo.createToolVo(self.reachReward[1][1], self.reachReward[1][2]);
	end
	return self._firstRewardVo;
end

--------------------------------------------------
function Lua_GodSeaDanVo.Get:name()
	return self.config.name;
end

function Lua_GodSeaDanVo.Get:bigDan()
	return self.config.big_dan;
end

function Lua_GodSeaDanVo.Get:smallDan()
	return self.config.small_dan;
end

function Lua_GodSeaDanVo.Get:scoreRange()
	return self.config.integrating_range;
end

function Lua_GodSeaDanVo.Get:reachReward()
	return self.config.reach_reward;
end

function Lua_GodSeaDanVo.Get:finishReward()
	return self.config.finish_reward;
end

function Lua_GodSeaDanVo.Get:icon()
	return self.config.icon;
end

function Lua_GodSeaDanVo.Get:bgPath()
	return self.config.bg_path;
end

function Lua_GodSeaDanVo.Get:bgEff()
	return self.config.bg_effect;
end