Lua_WildStageFloorVo = class("Lua_WildStageFloorVo")
function Lua_WildStageFloorVo:ctor(id, config)
	self.id = id;
	self._config = config;
end

function Lua_WildStageFloorVo.Get:showRole()
	local msg = DataCenter.wildSecretData:getFloorServerInfo(self.id);
	if msg ~= nil then
		return msg.show_role;
	end
	return nil;
end

function Lua_WildStageFloorVo.Get:config()
	if self._config == nil then
		return getConfig("wild_secret_layer", self.id);
	end
	return self._config;
end

function Lua_WildStageFloorVo.Get:name()
	return self.config.name;
end

function Lua_WildStageFloorVo.Get:unlockDes()
	return self.config.unlock_des;
end

function Lua_WildStageFloorVo.Get:teamNum()
	return self.config.team_num or 0;
end

function Lua_WildStageFloorVo.Get:stageNum()
	return self.config.stage_num or 0;
end

function Lua_WildStageFloorVo.Get:bgPath()
	return self.config.bg_path;
end

function Lua_WildStageFloorVo.Get:bgPath2()
	return self.config.bg_path_2;
end