-- 成圣之路 Proxy
checkRequire("Lua_HeroHolyData");
Lua_HeroHolyProxy = class("Lua_HeroHolyProxy");

function Lua_HeroHolyProxy:ctor()
    DataCenter.heroHolyData = Lua_HeroHolyData.new();

    Lua_MsgUtil.addLuaMsg(50114045, self, self.rTaskInfo); -- 请求英雄圣魂升星任务返回
    Lua_MsgUtil.addLuaMsg(50114048, self, self.rNextStarProp); -- 请求英雄下一星级属性信息返回

    Lua_MsgUtil.addLuaMsg(80114046, self, self.updateTaskInfo); -- 通知英雄圣魂升星任务更新
end

------------------------------ 上行 ------------------------------

-- 请求英雄圣魂升星任务信息
function Lua_HeroHolyProxy:sTaskInfo()
    sendMsg(10114045);
end

-- 请求激活圣魂任务
function Lua_HeroHolyProxy:sSoulActive(type, unique_id)
    local cmd = ProtoPublic_pb.Proto10114047();
    cmd.type = type;
    cmd.unique_id = unique_id;

    local dic = DataCenter.heroHolyData.stuffUidPosDic[type];
    if dic ~= nil then
        local uid;
        for k, v in pairs(dic) do
            for i = 1, v:getSize() do
                uid = v[i];
                if string.len(uid) >= 20 then
                    uid = string.sub(uid, 1, 9);
                end
                cmd.uid_list:append(uid);
            end
        end
    end
    sendMsg(10114047, cmd);
end

-- 请求英雄下一星级属性信息
function Lua_HeroHolyProxy:sNextStarProp(unique_id)
    local cmd = ProtoPublic_pb.Proto10114048();
    cmd.unique_id = tonumber(unique_id);
    sendMsg(10114048, cmd);
end

-- 升至16星
function Lua_HeroHolyProxy:sHeroUpStar(unique_id)
    local cmd = ProtoPublic_pb.Proto10114004();
    cmd.unique_id = tonumber(unique_id);
    sendMsg(10114004, cmd);
end
















------------------------------ 下行 ------------------------------

-- 请求英雄圣魂升星任务返回
function Lua_HeroHolyProxy:rTaskInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50114045();
        msg:ParseFromString(mp.data);
        DataCenter.heroHolyData:fromServer50114045(msg);
    end
end

-- 通知英雄圣魂升星任务更新
function Lua_HeroHolyProxy:updateTaskInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80114046();
        msg:ParseFromString(mp.data);
        DataCenter.heroHolyData:fromServer80114046(msg);
    end
end

-- 请求英雄下一星级属性信息返回
function Lua_HeroHolyProxy:rNextStarProp(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50114048();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("GET_NEXT_STAR_PROP", msg);
    end
end