Lua_LineupWinData = class("Lua_LineupWinData")
function Lua_LineupWinData:ctor()
	self:superCall("ctor");
	
	self.templateId = nil;
	self.monsterPlayerId = nil;
	self.stageId = nil;
	self.defaultCamp = nil;
	self.teamNum = nil;
	self.lineupType = nil;
	self.lineupIdx = nil;
	self.param1 = nil;
	self.param2 = nil;
end

function Lua_LineupWinData.getData(templateId, monsterPlayerId, stageId, defaultCamp, teamNum, lineupType, lineupIdx, param1, param2)
	local data = Lua_LineupWinData.instance;
	if data == nil then
		data = Lua_LineupWinData.new();
		Lua_LineupWinData.instance = data;
	end

	data.templateId = templateId;
	data.monsterPlayerId = monsterPlayerId;
	data.stageId = stageId;
	data.defaultCamp = defaultCamp;
	data.teamNum = teamNum;
	data.lineupType = lineupType;
	data.lineupIdx = lineupIdx;
	data.param1 = param1;
	data.param2 = param2;
	return data;
end