checkRequire("Lua_LimitSpecialGiftData");
Lua_LimitSpecialGiftProxy = class("Lua_LimitSpecialGiftProxy");
function Lua_LimitSpecialGiftProxy:ctor()
	DataCenter.limitSpecialGiftData = Lua_LimitSpecialGiftData.new();

	Lua_MsgUtil.addLuaMsg(50197063, self, self.rLimitSpecialGiftInfo);
	Lua_MsgUtil.addLuaMsg(80197063, self, self.nLimitSpecialGiftInfo);
	Lua_MsgUtil.addEventListener("SCENE_LOADED", self, self.onSceneLoadComplete);
end

-- 请求限时特惠礼包界面（返回）
function Lua_LimitSpecialGiftProxy:rLimitSpecialGiftInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50197063();
		msg:ParseFromString(mp.data);
		DataCenter.limitSpecialGiftData:fromServer50197063(msg);
		Lua_MsgUtil.callFunc("UPDATE_LIMITSPECIALGIFT_INFO");
	end
end

-- 通知限时特惠礼包状态（通知）
function Lua_LimitSpecialGiftProxy:nLimitSpecialGiftInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80197063();
		msg:ParseFromString(mp.data);
		DataCenter.limitSpecialGiftData:fromServer80197063(msg);
		Lua_MsgUtil.callFunc("UPDATE_LIMITSPECIALGIFT_INFO", true);
	end
end

function Lua_LimitSpecialGiftProxy:onSceneLoadComplete(sceneId)
	if DataCenter.bConfigLoaded ~= true then -- 判断配置是否加载完成
		return;
	end
	
	if sceneId == Lua_SceneDefine.MAINCITY then
		DataCenter.limitSpecialGiftData:checkPopupInfo();
	end
end

-- 请求限时特惠礼包界面
function Lua_LimitSpecialGiftProxy:sLimitSpecialGiftInfo()
	sendMsg(10197063);
end