Lua_AllianceFightOpenStateItem = class("Lua_AllianceFightOpenStateItem", Lua_DisplayObject)
function Lua_AllianceFightOpenStateItem:ctor(p)
	self:superCall("ctor", p, "AllianceFightOpenStateItem_skin");
end

function Lua_AllianceFightOpenStateItem:buildShowItem()
	self:superCall("buildShowItem");

	self:showEff(true);
	self.bg:setAlpha(0.01);
	self.bg:addClickFuntion(self, self.onClickBg);
end

function Lua_AllianceFightOpenStateItem:dispose()
	if self.effect then
		self.effect:dispose();
		self.effect = nil;
	end
	self:superCall("dispose");
end

function Lua_AllianceFightOpenStateItem:onClickBg()
	if self.clickTime ~= nil and getTime() - self.clickTime < 0.5 then
		return;
	end

	DataCenter.funcPathUtil:gotoFunction(1175);
end

function Lua_AllianceFightOpenStateItem:showEff(bShow)
	if bShow then
		if self.effect == nil then
			self.effect = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_ghz_qp_01", "ui_ghz_qp_01", -43, 6);
		end
		self.effect:setEnable(true);
	else
		if self.effect then
			self.effect:setEnable(false);
		end
	end
end