Lua_OpenServerHeroComeTaskVo = class("Lua_OpenServerHeroComeTaskVo")
function Lua_OpenServerHeroComeTaskVo:ctor(id)
	self.id = id;
end

function Lua_OpenServerHeroComeTaskVo:dispose()
	self._config = nil;
	self.state = nil;
	self.curProcess = nil;
end

function Lua_OpenServerHeroComeTaskVo:updataHeroComeTaskVoInfo(state, process)
	self.state = state; -- 0未达成 1可领取 2已领取
	self.curProcess = process == 0 and 0 or getConfig("mainline_game_level", process, "number"); -- 当前进度
end

function Lua_OpenServerHeroComeTaskVo.Get:config()
	if self._config == nil then
		self._config = getConfig("hero_fall", self.id);
	end
	return self._config;
end

function Lua_OpenServerHeroComeTaskVo.Get:showReward()
	return self.config.showReward[1];
end

function Lua_OpenServerHeroComeTaskVo.Get:desc()
	return self.config.desc;
end

function Lua_OpenServerHeroComeTaskVo.Get:taskConfig()
	if self.config ~= nil then
		self._taskConfig = getConfig("total_task", self.config.condition_id);
	end
	return self._taskConfig;
end

function Lua_OpenServerHeroComeTaskVo.Get:eventId()
	return self.taskConfig.eventId;
end