-- 月卡
checkRequire("Lua_MonthCardVo");
Lua_MonthCardData = class("Lua_MonthCardData");
function Lua_MonthCardData:ctor()
end

function Lua_MonthCardData:dispose()
	self.monthCardDic = nil;
	self.monthCardArr = nil;
end

function Lua_MonthCardData:fromServer50196001(msg)
	if msg == nil then
		return;
	end
	self:init();
	
	local obj;
	local vo;
	local redState = false;
	for i = 1, #msg.month_card_state do
		obj = msg.month_card_state[i];
		vo = self:getMonthCardVo(obj.type);
		if vo ~= nil then
			vo:updateMonthCardVoInfo(obj);
			if not redState and obj.draw_state == 1 then
				redState = true;
			end
		end
	end
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.RaccoonMart_MonthCard, redState);
end

function Lua_MonthCardData:init()
	if self.monthCardDic == nil then
		self.monthCardDic = {};
		self.monthCardArr = Array();

		local vo;
		local config = getConfig("recharge_month_card");
		for k,v in pairs(config) do
			vo = Lua_MonthCardVo.new(v.grade, v);
			self.monthCardDic[v.grade] = vo;
			self.monthCardArr:add(v.grade);
		end
		self.monthCardArr:sort(nil, false);
	end
end

function Lua_MonthCardData:getMonthCardVo(grade)
	if grade == nil or self.monthCardDic == nil or self.monthCardDic[grade] == nil then
		return nil;
	end
	return self.monthCardDic[grade];
end