--红点系统 红点Util
Lua_RedPointUtil = class("Lua_RedPointUtil");

Lua_RedPointList = {
    Main = "Main"; -- 主城按钮入口红点

    Home = "Home"; -- 家园

    Main_SpiritShop = "Main_SpiritShop"; -- 特卖店功能图标红点
    Main_HundredCeremony = "Main_HundredCeremony"; -- 百抽盛典功能图标红点
    Main_LifeTree = "Main_LifeTree";              -- 同调器建筑模型入口红点
    Main_LifeTree_GodTab = "Main_LifeTree_GodTab";-- 同调器页签红点
    Main_LifeTree_StatueTab = "Main_LifeTree_StatueTab"; -- 英雄之力页签红点

    Hero = "Hero"; -- 英雄按钮入口红点
    HeroTab = "Hero_Tab"; -- 英雄页签红点
    HeroTabAttr = "Hero_Tab_Attr"; -- 培养页签红点
    HeroTabEquip = "Hero_Tab_Equip"; -- 装备页签红点
    HeroTabUpStar = "Hero_Tab_UpStar"; -- 升星页签红点
    HeroTabFashion = "Hero_Tab_Fashion"; -- 时装页签红点
    HeroTabTotem = "hero_Tab_Totem"; -- 图腾页签红点
    HeroTabWeapon = "Hero_Tab_Weapon"; -- 神兵页签红点
    HeroLifeTree = "Hero_Life_Tree"; -- 同调器英雄升级红点
    
    HeroHeat = "Hero_Heat"; -- 英雄热度页签红点
    HeroCard = "Hero_Card"; -- 英雄背包闪卡红点
    HeroAtlas = "Hero_Atlas"; -- 英雄图鉴页签红点

    Mail = "Mail";        -- 邮箱入口红点
    MailTab = "Mail_Tab"; -- 邮箱页签红点

    Recruit = "Recruit";                                               -- 小卖部入口红点
    RecruitTab = "Recruit_Tab";                                        -- 召唤分页红点
    RecruitTabNormal = "Recruit_Tab_Normal";                           -- 普通召唤入口红点
    RecruitTabNormalBtn = "Recruit_Tab_Normal_Btn";                    -- 普通召唤按钮红点
    RecruitTabHigh = "Recruit_Tab_High";                               -- 高级召唤入口红点
    RecruitTabHighBtn = "Recruit_Tab_High_Btn";                        -- 高级召唤按钮红点
    RecruitTabHighFree = "Recruit_Tab_High_Free";                      -- 高级召唤免费红点
    RecruitTabHighWishBless = "Recruit_Tab_High_WishBless";            -- 老客回顾红点
    Recruit_Gashapon = "Recruit_Gashapon";                             -- 扭蛋机入口红点
    Recruit_Gashapon_MoreDraw = "Recruit_Gashapon_MoreDraw";           -- 扭蛋机多抽红点
    Recruit_Gashapon_UpHeroTips = "Recruit_Gashapon_UpHeroTips";       -- 扭蛋机英雄更换Tips红点
    Recruit_Scout = "Recruit_Scout";                                   -- 盲盒机入口红点
    Recruit_Scout_MoreDraw = "Recruit_Scout_MoreDraw";                 -- 盲盒机入口-多抽红点

    DressUp = "DressUp";              -- 形象装扮入口红点
    DressUp_Avatar = "DressUp_Avatar";  -- 形象装扮头像红点
    DressUp_Frame = "DressUp_Frame";  -- 形象装扮头像框红点
    DressUp_Bubble = "DressUp_Bubble";-- 形象装扮气泡红点
    DressUp_Title = "DressUp_Title";  -- 形象装扮头衔红点

    Task = "Task";                               -- 日常任务入口红点
    Task_DailyTab = "Task_DailyTab";             -- 每日任务页签红点
    Task_WeeklyTab = "Task_WeeklyTab";           -- 每周任务页签红点
    Task_AchievementTab = "Task_AchievementTab"; -- 成就任务页签红点
    Task_ActiveWarTab = "Task_ActiveWarTab";     -- 活跃战令（历练）页签红点

    ExcellentAct = "ExcellentAct";                                   -- 精彩活动(本地)图标红点
    ExcellentAct_CumulateGift = "ExcellentAct_CumulateGift";         -- 积天豪礼功能图标红点
    ExcellentAct_NewServeGift = "ExcellentAct_NewServeGift";         -- 新服专享功能图标红点
    ExcellentAct_UpStarOfServer = "ExcellentAct_UpStarOfServer";     -- 升星专属（开服）功能图标红点
    ExcellentAct_HeroGather = "ExcellentAct_HeroGather";             -- 英雄集结功能图标红点
    ExcellentAct_DailyDiscount = "ExcellentAct_DailyDiscount";       -- 每日特惠图标红点
    ExcellentAct_Investment = "ExcellentAct_Investment";             -- 成长投资功能图标红点
    ExcellentAct_RecoverResources = "ExcellentAct_RecoverResources"; -- 资源找回功能图标红点
    ExcellentAct_Funds_Special = "ExcellentAct_Funds_Special";       -- 超值基金功能图标红点

    LimitedTimeAct = "LimitedTimeAct";                                -- 限时活动图标红点
    LimitedTimeAct_OpenAthletics = "LimitedTimeAct_OpenAthletics";    -- 开服竞技图标红点
    LimitedTimeAct_StarRiverTrial = "LimitedTimeAct_StarRiverTrial";  -- 星河试炼图标红点

    InfinityHall = "InfinityHall";                              -- 无穷战殿红点
    InfinityHall_Fight = "InfinityHall_Fight";                  -- 无穷战殿首次挑战 每天重置
    InfinityHall_Support = "InfinityHall_Support";              -- 无穷战殿支援英雄
    InfinityHall_Reward = "InfinityHall_Reward";                -- 无穷战殿奖励
    InfinityHall_Reward_Single = "InfinityHall_Reward_Single";  -- 无穷战殿奖励
    InfinityHall_Reward_Team = "InfinityHall_Reward_Team";      -- 无穷战殿奖励
    InfinityHall_Daily_Reward = "InfinityHall_Daily_Reward";    -- 无穷战殿每日奖励

    Download = "Download"; -- 下载奖励

    EightDay = "EightDay"; -- 八日登录

    Welfare_SignIn = "Welfare_SignIn";         -- 签到红点
    Welfare_GradeGift = "Welfare_GradeGift";   -- 等级功能图标红点

    ExploreTour = "ExploreTour"; -- 冒险之旅

    TenRecruitSelect = "TenRecruitSelect"; -- 十连自选

    RaccoonMart_Vip = "RaccoonMart_Vip";                                   -- vip图标红点
    RaccoonMart_EachLoginVip = "RaccoonMart_EachLoginVip";                 -- vip每次登录红点
    RaccoonMart_MonthCard = "RaccoonMart_MonthCard";                       -- 月卡图标红点
    RaccoonMart_GiftShop = "RaccoonMart_GiftShop";                         -- 礼包商城图标红点
    RaccoonMart_GiftShop_DailyGift = "RaccoonMart_GiftShop_DailyGift";     -- 每日礼包图标红点
    RaccoonMart_GiftShop_WeeklyGift = "RaccoonMart_GiftShop_WeeklyGift";   -- 每周礼包图标红点
    RaccoonMart_GiftShop_MonthlyGift = "RaccoonMart_GiftShop_MonthlyGift"; -- 每月礼包图标红点
    RaccoonMart_GiftShop_DiamondGift = "RaccoonMart_GiftShop_DiamondGift"; -- 钻石礼包图标红点
    RaccoonMart_PersonRead = "RaccoonMart_PersonRead"; -- 专属订阅功能图标红点

    OpenServerCarnival = "OpenServerCarnival"; -- 开服狂欢
    OpenServerCarnival_First  = "OpenServerCarnival_First";  -- 开服狂欢第一期图标红点
    OpenServerCarnival_Second = "OpenServerCarnival_Second"; -- 开服狂欢第二期图标红点

    MainLine = "MainLine";                      -- 主线
    MainLine_Privilege = "MainLine_Privilege";  -- 主线-特权入口
    MainLine_FastFight = "MainLine_FastFight";  -- 主线快速战斗
    MainLine_FastFight_Free = "MainLine_FastFight_Free";  -- 主线快速战斗-免费次数
    MainLine_Reward = "MainLine_Reward";        -- 主线通关奖励
    MainLine_Dispatch = "MainLine_Dispatch";    -- 主线情报派遣
    MainLine_DispatchReward = "MainLine_DispatchReward";    -- 主线情报派遣奖励
    MainLine_OnLine = "MainLine_OnLine";        -- 主线在线奖励

    Pack = "Pack";              -- 背包
    Pack_Chip = "Pack_Chip";    -- 背包碎片页签
    Pack_Rune = "Pack_Rune";    -- 背包符石页签

    Arena = "Arena";                        -- 斗技场
    Arena_FreeTimes = "Arena_FreeTimes";    -- 斗技场免费次数
    Arena_Reward = "Arena_Reward";          -- 斗技场宝箱奖励
    Arena_Record = "Arena_Record";          -- 斗技场积分下降

    FirstRecharge = "FirstRecharge";        -- 首充

    LuckyTurntable = "LuckyTurntable";                   -- 幸运转盘
    LuckyTurntable_ordinary = "LuckyTurntable_ordinary"; -- 普通幸运转盘功能页签
    LuckyTurntable_senior = "LuckyTurntable_senior";     -- 高级幸运转盘功能页签
    LuckyTurntable_firstOpen = "LuckyTurntable_firstOpen"; -- 首次打开幸运轮盘

    DailyRecharge = "DailyRecharge";       -- 每日首充

    Friend = "Friend";                           -- 好友
    Friend_Reward = "Friend_Reward";             -- 好友礼物按钮
    Friend_Manage_Apply = "Friend_Manage_Apply"; -- 好友申请功能页签

    Expedition = "Expedition";                      -- 边境远征
    Expedition_Clearance = "Expedition_Clearance";  -- 边境远征通关
    Expedition_Box = "Expedition_Box";              -- 边境远征宝箱
    Expedition_Reward = "Expedition_Reward";        -- 边境远征奖励

    EquipCopy_Single = "EquipCopy_Single";                                  --魔灵岛单人模式
    EquipCopy_Team = "EquipCopy_Team";                                      --魔灵岛组队模式
    EquipCopy_Team_Invite = "EquipCopy_Team_Invite";                        --魔灵岛组队邀请
    EquipCopy_Single_ActiveNode = "EquipCopy_Single_ActiveNode";            --魔灵岛单人模式btn激活节点
    EquipCopy_Team_ActiveNode = "EquipCopy_Team_ActiveNode";                --魔灵岛组队模式btn激活节点
    EquipCopy_WarMark = "EquipCopy_WarMark";                                --魔灵岛战令
    EquipCopy_FirstPassRank = "EquipCopy_FirstPassRank";                    --魔灵岛首通
    EquipCopy_FirstPassRank_CampOne = "EquipCopy_FirstPassRank_CampOne";    --魔灵岛首通阵营1
    EquipCopy_FirstPassRank_CampTwo = "EquipCopy_FirstPassRank_CampTwo";    --魔灵岛首通阵营2
    EquipCopy_FirstPassRank_CampThree = "EquipCopy_FirstPassRank_CampThree";--魔灵岛首通阵营3
    EquipCopy_FirstPassRank_CampFour = "EquipCopy_FirstPassRank_CampFour";  --魔灵岛首通阵营4

    ChaosForest = "ChaosForest";                -- 混沌森林
    ChaosForest_Times = "ChaosForest_Times";    -- 混沌森林挑战次数
    ChaosForest_Record = "ChaosForest_Record";  -- 混沌森林全服击退奖励

    ClimbTower = "ClimbTower";                      -- 爬塔
    ClimbTower_Clearance = "ClimbTower_Clearance";  -- 爬塔通关奖励
    ClimbTower_9_Daily = "ClimbTower_9_Daily";      -- 通天塔每日奖励

    WarOrder_LightTower = "WarOrder_LightTower";  -- 光之塔战令图标红点
    WarOrder_Expedition = "WarOrder_Expedition";  -- 边境远征战令红点
    WarOrder_PeakDuel = "WarOrder_PeakDuel";      -- 巅峰对决战令图标红点
    WarOrder_EquipCopy = "WarOrder_EquipCopy";    -- 魔灵岛战令图标红点
    WarOrder_ExclusivePlan = "WarOrder_ExclusivePlan";   --独家企划奖励红点
    WarOrder_KunXuHolyLand = "WarOrder_KunXuHolyLand";   --昆墟圣地战令图标红点
    WarOrder_CollectionCabinet = "WarOrder_CollectionCabinet";   --藏品战令图标红点
    WarOrder_CollectionCabinet_Reward = "WarOrder_CollectionCabinet_Reward";   --藏品战令-奖励
    WarOrder_CollectionCabinet_Task = "WarOrder_CollectionCabinet_Task";   --藏品战令-任务
    WarOrder_GodSeaPeak = "WarOrder_GodSeaPeak";   --神海战令图标红点
    WarOrder_GodSeaPeak_Reward = "WarOrder_GodSeaPeak_Reward";   --神海战令-奖励
    WarOrder_GodSeaPeak_Task = "WarOrder_GodSeaPeak_Task";   --神海战令-任务

    Role = "Role";      -- 主角
    Artifact_Lineup = "Artifact_Lineup";      -- 神器主线上阵红点

    Fate = "Fate"; -- 命格

    Artifact = "Artifact";                              -- 神器
    Artifact_Up = "Artifact_Up";              -- 神器解锁、升级、升星
    Artifact_Clothes = "Artifact_Clothes";              -- 神器幻化

    HeroAssembly = "HeroAssembly";                  -- 英雄殿
    HeroAssembly_FastUp = "HeroAssembly_FastUp";    -- 英雄殿-快捷升星   

    CollectionBook = "CollectionBook"; --收藏册图标红点
    CollectionBook_Entrance = "CollectionBook_Entrance"; -- 收藏册-集卡册入口红点
    CollectionBook_MainPage = "CollectionBook_MainPage"; -- 收藏册-集卡册主页红点
    CollectionBook_HasReward = "CollectionBook_HasReward"; -- 卡牌有奖励红点
    CollectionBook_CanActive = "CollectionBook_CanActive"; -- 卡牌可激活红点
    CollectionBook_FlashCardProp = "CollectionBook_FlashCardProp"; -- 已激活闪卡属性未查看
    CollectionBook_Fetter = "CollectionBook_Fetter"; -- 羁绊红点
    CollectionBook_Rank = "CollectionBook_Rank"; -- 收藏册排行榜有点赞次数且前三未被点赞
    CollectionBook_WeaponTab = "CollectionBook_WeaponTab"; -- 收藏册主页-神兵列传
    CollectionBook_FlashCardTab = "CollectionBook_FlashCardTab"; -- 收藏册主页-炫酷闪卡
    CollectionBook_FrameCardTab = "CollectionBook_FrameCardTab"; -- 收藏册主页-名人堂
    CollectionBook_ContactTab = "CollectionBook_ContactTab"; -- 收藏册主页-联动卡


    KunXuHolyLand = "KunXuHolyLand";                     -- 昆墟圣地
    KunXuHolyLand_FirstOpen = "KunXuHolyLand_FirstOpen"; -- 昆墟圣地首次打开
    KunXuHolyLand_Reward = "KunXuHolyLand_Reward";       -- 昆墟圣地奖励
    KunXuHolyLand_War = "KunXuHolyLand_War";       -- 昆墟圣地-战令

    Alchemy = "Alchemy"; -- 炼金坊

    StarTrial = "StarTrial";                  --星河殿
    StarTrial_Level = "StarTrial_Level";      --星河殿关卡图标红点
    StarTrial_Chapter = "StarTrial_Chapter";  --星河殿章节图标红点
    StarTrial_Daily = "StarTrial_Daily";      --星河殿日常奖励红点
    StarTrial_River = "StarTrial_River";      --星河殿试炼按钮红点

    FuncPreview = "FuncPreview"; -- 功能预告

    Rank = "Rank"; -- 排行榜

    Home_CollectionCabinet = "Home_CollectionCabinet"; -- 藏品柜

    League = "League";                           -- 公会
    LeagueRedPacket = "League_RedPacket";        -- 公会红包
    LeagueRedPacketWelfare = "League_RedPacket_Welfare";   -- 公会红包-福利红包
    LeagueRedPacketRob = "League_RedPacket_Rob";           -- 公会红包-抢红包
    LeagueScience = "League_Science";                      -- 公会科技
    LeagueScienceDef = "League_Science_Defend";            -- 公会科技-防护
    LeagueScienceAtt = "League_Science_Attack";            -- 公会科技-攻击
    LeagueScienceAss = "League_Science_Assist";            -- 公会科技-辅助
    LeagueScienceCon = "League_Science_Control";           -- 公会科技-控制
    LeagueGrowth = "League_Growth";              -- 公会成长
    LeagueBoss = "League_Boss";                  -- 公会Boss
    LeagueCompete = "League_Compete";            -- 公会对抗
    LeagueAttack = "League_Attack";              -- 公会-公会挑战
    LeagueCompeteNum = "League_Compete_Num";     -- 公会对抗次数
    LeagueCompeteLog = "League_Compete_Log";     -- 公会对抗日志
    LeagueCompeteLogUpdate = "League_Compete_Log_Update";   -- 公会对抗日志-日志更新
    LeagueCompeteLogSluff = "League_Compete_Log_Sluff";     -- 公会对抗日志-回抢红点
    LeagueCompeteReward = "League_Compete_Reward";   -- 公会对抗-奖励图标
    LeagueShop = "League_Shop";                             -- 公会商店
    LeagueShopDeal = "League_Shop_Deal";                    -- 公会商店-交易行图标
    LeagueShopDealFrist = "League_Shop_Deal_Frist";         -- 公会交易行类型1
    LeagueShopDealSecond = "League_Shop_Deal_Second";       -- 公会交易行类型2
    League_WishWall = "League_WishWall";                           -- 公会-心愿墙
    League_WishWall_NoSelectWish = "League_WishWall_NoSelectWish"; -- 公会-心愿墙-没有选择心愿奖励
    League_WishWall_AssistTimes = "League_WishWall_AssistTimes";   -- 公会-心愿墙-助力次数
    League_WishWall_Task = "League_WishWall_Task";                 -- 公会-心愿墙-成就任务
    League_WishWall_WishReward = "League_WishWall_WishReward";     -- 公会-心愿墙-心愿奖励
    League_Fight = "League_Fight"; -- 公会战
    League_Fight_Self = "League_Fight_Self"; -- 公会战-我方
    League_Fight_Self_Defense = "League_Fight_Self_Defense"; -- 公会战-我方-防御阵容
    League_Fight_Self_Reward = "League_Fight_Self_Reward"; -- 公会战-我方-征战奖励
    League_Fight_Self_PReward = "League_Fight_Self_PReward"; -- 公会战-我方-征战奖励-个人成就
    League_Fight_Self_AReward = "League_Fight_Self_AReward"; -- 公会战-我方-征战奖励-公会成就
    League_Fight_Self_Result_Reward = "League_Fight_Self_Result_Reward"; -- 公会战-我方-战果奖励
    League_Fight_Enemy = "League_Fight_Enemy"; -- 公会战-敌方
    League_Fight_Enemy_Attack = "League_Fight_Enemy_Attack"; -- 公会战-敌方-进攻红点
    League_Fight_Enemy_Reward = "League_Fight_Enemy_Reward"; -- 公会战-敌方-征战奖励
    League_Fight_Enemy_PReward = "League_Fight_Enemy_PReward"; -- 公会战-敌方-征战奖励-个人成就
    League_Fight_Enemy_AReward = "League_Fight_Enemy_AReward"; -- 公会战-敌方-征战奖励-公会成就
    League_Fight_Enemy_Result_Reward = "League_Fight_Enemy_Result_Reward"; -- 公会战-敌方-战果奖励


    Championship = "Championship"; -- 精英赛
    Championship_Main = "Championship_Main"; -- 精英赛-比赛大厅
    Championship_Like = "Championship_Like"; -- 精英赛点赞
    Championship_MySchedule = "Championship_MySchedule"; -- 精英赛-我的赛程
    Championship_QuizTips = "Championship_QuizTips"; -- 精英赛-竞猜提示
    Championship_Quiz = "Championship_Quiz"; -- 精英赛-竞猜
    Championship_Quiz_RedEnvelope = "Championship_Quiz_RedEnvelope"; -- 精英赛-竞猜红包
    Championship_Quiz_Title = "Championship_Quiz_Title"; -- 精英赛-竞猜头衔
    Championship_Quiz_Title_Task = "Championship_Quiz_Title_Task"; -- 精英赛-竞猜头衔任务
    Championship_Quiz_Title_Reward = "Championship_Quiz_Title_Reward"; -- 精英赛-竞猜头衔奖励
    Championship_Reserve = "Championship_Reserve"; -- 精英赛-预约

    Video = "Video"; -- 录像馆
    Video_Like = "Video_Like"; -- 录像馆-点赞

    OpenServerTrial = "OpenServerTrial"; -- 开服试炼活动
    OpenServerTrial_HeroGift = "OpenServerTrial_HeroGift"; -- 英雄赠礼功能图标
    OpenServerTrial_HeroCome = "OpenServerTrial_HeroCome"; -- 英雄降临红点
    OpenServerTrial_HeroChallenge = "OpenServerTrial_HeroChallenge"; -- 英雄挑战红点
    
    Question = "Question"; -- 问卷有礼开启红点

    TownTreasure = "TownTreasure"; -- 古城秘藏入口红点
    TownTreasure_Login = "TownTreasure_Login"; -- 古城秘藏-登录红点
    TownTreasure_Task = "TownTreasure_Task"; -- 古城秘藏-任务奖励红点

    PeakDuel = "PeakDuel"; -- 巅峰对决
    PeakDuel_Match = "PeakDuel_Match"; -- 巅峰对决-匹配
    PeakDuel_Reward = "PeakDuel_Reward"; -- 巅峰对决-首通奖励
    PeakDuel_Hook = "PeakDuel_Hook"; -- 巅峰对决-挂机收益
    PeakDuel_Like = "PeakDuel_Like"; -- 巅峰对决-点赞红点
    PeakDuel_Guess = "PeakDuel_Guess"; --巅峰对决-竞猜红点

    Chat = "Chat"; -- 聊天
    Chat_Mini = "Chat_Mini"; -- 聊天迷你界面红点

    NewHeroWarCoin_Level = "NewHeroWarCoin_Level"; -- 新英雄战令-等级战令
    NewHeroWarCoin_Task = "NewHeroWarCoin_Task"; -- 新英雄战令-任务战令

    LuckyGiftBox_Task = "LuckyGiftBox_Task"; -- 幸运礼盒-挑战任务

    DivineDomainTrial = "DivineDomainTrial"; -- 神域试炼
    DivineDomainTrial_Trial = "DivineDomainTrial_Trial"; -- 神域试炼-普通副本
    DivineDomainTrial_Special = "DivineDomainTrial_Special"; -- 神域试炼-特殊副本
    DivineDomainTrial_Special_Reward = "DivineDomainTrial_Special_Reward"; -- 神域试炼-特殊副本奖励
    DivineDomainTrial_Achieve_Reward = "DivineDomainTrial_Achieve_Reward"; -- 神域试炼-成就奖励

    Shop = "Shop"; -- 商店
    Shop_TipType1 = "Shop_TipType1"; -- 商店类型1必购提示红点
    Shop_TipType2 = "Shop_TipType2"; -- 商店类型2必购提示红点
    Shop_TipType4 = "Shop_TipType4"; -- 商店类型4必购提示红点
    Shop_TipType5 = "Shop_TipType5"; -- 商店类型5必购提示红点
    Shop_TipType6 = "Shop_TipType6"; -- 商店类型6必购提示红点
    Shop_TipType8 = "Shop_TipType8"; -- 商店类型8必购提示红点
    Shop_TipType9 = "Shop_TipType9"; -- 商店类型9必购提示红点
    Shop_TipType13 = "Shop_TipType13"; -- 商店类型13必购提示红点

    CrackShot_Task = "CrackShot_Task"; -- 百发百中-游戏任务
    CrackShot_Task_Daily = "CrackShot_Task_Daily"; -- 百发百中-每日任务
    CrackShot_Task_Cumulate = "CrackShot_Task_Cumulate"; -- 百发百中-累计任务

    MergeBlock_Task = "MergeBlock_Task"; -- 干脆面碰碰-游戏任务
    MergeBlock_Task_Daily = "MergeBlock_Task_Daily"; -- 干脆面碰碰-每日任务
    MergeBlock_Task_Cumulate = "MergeBlock_Task_Cumulate"; -- 干脆面碰碰-累计任务

    ThrowKnife_Task = "ThrowKnife_Task"; -- 见缝插刀-游戏任务
    ThrowKnife_Task_Daily = "ThrowKnife_Task_Daily"; -- 见缝插刀-每日任务
    ThrowKnife_Task_Cumulate = "ThrowKnife_Task_Cumulate"; -- 见缝插刀-累计任务

    TimeSpaceRace_Fight = "TimeSpaceRace_Fight"; -- 时空争霸-挑战次数
    TimeSpaceRace_Reward = "TimeSpaceRace_Reward"; -- 时空争霸-活跃奖励

    FormTeamCompetation = "FormTeamCompetation"; -- 组队赛
    FormTeamCompetation_OverViewTab = "FormTeamCompetation_OverViewTab"; -- 组队赛-总览页签
    FormTeamCompetation_FightTab = "FormTeamCompetation_FightTab";-- 组队赛-挑战页签
    FormTeamCompetation_TeamTab = "FormTeamCompetation_TeamTab"; -- 组队赛-组队赛-队伍页签
    FormTeamCompetation_OverViewTab_Reward = "FormTeamCompetation_OverViewTab_Reward"; -- 组队赛-总览页签-奖励
    FormTeamCompetation_OverViewTab_Record = "FormTeamCompetation_OverViewTab_Record"; -- 组队赛-总览页签-战报
    FormTeamCompetation_FightTab_Record = "FormTeamCompetation_FightTab_Record"; -- 组队赛-挑战页签-战报
    FormTeamCompetation_FightTab_FightNum = "FormTeamCompetation_FightTab_FightNum"; -- 组队赛-挑战页签-挑战次数
    FormTeamCompetation_TeamTab_Application = "FormTeamCompetation_TeamTab_Application"; -- 组队赛-队伍页签-组队报名
    FormTeamCompetation_TeamTab_MemberRecruit = "FormTeamCompetation_TeamTab_MemberRecruit"; -- 组队赛-队伍页签-成员招募
    FormTeamCompetation_TeamTab_InvitateInfo = "FormTeamCompetation_TeamTab_InvitateInfo"; --组队赛-队伍页签-邀请信息

    ChampionMatch = "ChampionMatch"; -- 冠军赛
    ChampionMatch_GuessTab = "ChampionMatch_GuessTab"; -- 冠军赛-竞猜页签
    ChampionMatch_Guess = "ChampionMatch_Guess"; -- 冠军赛-竞猜
    ChampionMatch_RedEnvelope = "ChampionMatch_RedEnvelope"; -- 冠军赛-红包
    ChampionMatch_MyCourse = "ChampionMatch_MyCourse"; -- 冠军赛-我的赛程
    ChampionMatch_Honour = "ChampionMatch_Honour"; -- 冠军赛-荣耀殿堂
    ChampionMatch_Champagne = "ChampionMatch_Champagne"; --冠军赛-香槟
    ChampionMatch_Toast = "ChampionMatch_Toast"; -- 冠军赛-敬酒

    EndlessLevel_DailyReward = "EndlessLevel_DailyReward"; -- 无尽关卡-每日挑战奖励
    EndlessLevel_AssistReward = "EndlessLevel_AssistReward"; -- 无尽关卡-助力奖励
    EndlessLevel_WaveReward = "EndlessLevel_WaveReward"; -- 无尽关卡-波数奖励
    
    LoginReward_Login = "LoginReward_Login"; -- 登录福利-登录奖励
    LoginReward_Recharge = "LoginReward_Recharge"; -- 登录福利-累充奖励

    StrangeBeast = "StrangeBeast"; -- 异兽
    StrangeBeast_HatchTab = "StrangeBeast_HatchTab"; --异兽-孵化页签
    StrangeBeast_CheckNest = "StrangeBeast_CheckNest"; --异兽-孵化页签-空的孵化巢
    StrangeBeast_Login = "StrangeBeast_Login"; --异兽-孵化页签-登陆显示
    StrangeBeast_CulTureTab = "StrangeBeast_CulTureTab"; --异兽-培养页签
    StrangeBeast_UpTree = "StrangeBeast_UpTree"; --异兽-培养页签-扶桑树升级
    StrangeBeast_checkLine = "StrangeBeast_checkLine"; --异兽-培养页签-可上阵异兽
    StrangeBeast_checkSecLine = "StrangeBeast_checkSecLine"; --异兽-培养页签-第二队可上阵异兽
    StrangeBeast_RecruitTab = "StrangeBeast_RecruitTab";--异兽-召唤页签
    StrangeBeast_Reward = "StrangeBeast_Reward"; --异兽-召唤页签-奖励可领取
    StrangeBeast_FreeRecruit = "StrangeBeast_FreeRecruit"; --异兽-召唤页签-免费召唤
    StrangeBeast_TenRecruit = "StrangeBeast_TenRecruit"; --异兽-召唤页签-道具足够招募十次
    StrangeBeast_AtlasTab = "StrangeBeast_AtlasTab"; -- 异兽-图鉴页签
    StrangeBeast_UpBeast = "StrangeBeast_UpBeast"; -- 异兽-图鉴页签-升星异兽
    StrangeBeast_FetterTab = "StrangeBeast_FetterTab"; -- 异兽-羁绊页签

    WildSecret_Stage = "WildSecret_Stage"; -- 蛮荒秘境-关卡页签
    WildSecret_Lode = "WildSecret_Lode"; -- 蛮荒秘境-矿脉页签
    WildSecret_Stage_Reward = "WildSecret_Stage_Reward"; -- 蛮荒秘境-层数奖励
    WildSecret_Stage_DailyReward = "WildSecret_Stage_DailyReward"; -- 蛮荒秘境-每日奖励
    WildSecret_Lode_Record = "WildSecret_Lode_Record"; -- 蛮荒秘境-矿脉战报
    WildSecret_Lode_Occupy = "WildSecret_Lode_Occupy"; -- 蛮荒秘境-矿脉可占领
    WildSecret_Lode_Plunder = "WildSecret_Lode_Plunder"; -- 蛮荒秘境-矿脉可掠夺

    TotemTreasure = "TotemTreasure"; -- 图腾秘宝
    TotemRecruit = "TotemRecruit"; -- 图腾招募
    TotemRecruit_Primary = "TotemRecruit_Primary"; -- 图腾招募-初级
    TotemRecruit_Primary_One = "TotemRecruit_Primary_One"; -- 图腾招募-初级单抽
    TotemRecruit_Primary_More = "TotemRecruit_Primary_More"; -- 图腾招募-初级多抽
    TotemRecruit_Intermediate = "TotemRecruit_Intermediate"; -- 图腾招募-中级
    TotemRecruit_Intermediate_One = "TotemRecruit_Intermediate_One"; -- 图腾招募-中级单抽
    TotemRecruit_Intermediate_More = "TotemRecruit_Intermediate_More"; -- 图腾招募-中级多抽
    TotemRecruit_Senior = "TotemRecruit_Senior"; -- 图腾招募-高级
    TotemRecruit_Senior_One = "TotemRecruit_Senior_One"; -- 图腾招募-高级单抽
    TotemRecruit_Senior_More = "TotemRecruit_Senior_More"; -- 图腾招募-高级多抽
    TotemRecruit_Task = "TotemRecruit_Task"; -- 图腾招募-任务
    TotemRecruit_Task_Daily = "TotemRecruit_Task_Daily"; -- 图腾招募-每日任务
    TotemRecruit_Task_Cumulate = "TotemRecruit_Task_Cumulate"; -- 图腾招募-累计任务

    StrangeBeastMatchTask = "StrangeBeastMatch_Task"; -- 异兽争胜-任务入口
    StrangeBeastMatchTaskDaily = "StrangeBeastMatch_Task_Daily"; -- 异兽争胜-每日任务
    StrangeBeastMatchTaskCumulate = "StrangeBeastMatch_Task_Cumulate"; -- 异兽争胜-累计任务

    NewCollectionCabinet = "NewCollectionCabinet"; -- 新版藏品
    NewCollectionCabinet_Active = "NewCollectionCabinet_Active"; -- 已激活藏品
    NewCollectionCabinet_Chip = "NewCollectionCabinet_Chip"; -- 藏品碎片
    NewCollectionCabinet_Chip_CanActive = "NewCollectionCabinet_Chip_CanActive"; -- 可激活藏品碎片
    NewCollectionCabinet_Chip_CanUpStar = "NewCollectionCabinet_Chip_CanUpStar"; -- 可升星藏品碎片
    NewCollectionCabinet_Draw = "NewCollectionCabinet_Draw"; -- 藏品抽奖
    NewCollectionCabinet_Draw_LowMoreDraw = "NewCollectionCabinet_Draw_LowMoreDraw"; -- 低级多抽
    NewCollectionCabinet_Draw_MoreDraw = "NewCollectionCabinet_Draw_MoreDraw"; -- 高级多抽

    JumpHappy_Task = "JumpHappy_Task"; -- 跳跳乐-任务
    JumpHappy_Task_Day = "JumpHappy_Task_Day"; -- 跳跳乐-今日任务
    JumpHappy_Task_Total = "JumpHappy_Task_Total"; -- 跳跳乐-累计任务

    Tactic = "Tactic"; -- 战法
    TacticUpgrade = "Tactic_Upgrade"; -- 战法-升级页签
    TacticUpstar = "Tactic_Upstar"; -- 战法-升星页签
    TacticFetter = "Tactic_Fetter"; -- 战法-图鉴页签

    GodSeaPeak_Main = "GodSeaPeak_Main"; -- 神海之颠-主页签
    GodSeaPeak_Treasure = "GodSeaPeak_Treasure"; -- 神海之颠-转盘
    GodSeaPeak_Honour = "GodSeaPeak_Honour"; -- 神海之颠-荣耀殿堂
    GodSeaPeak_Task = "GodSeaPeak_Task"; -- 神海之颠-每周任务
    GodSeaPeak_Box = "GodSeaPeak_Box"; -- 神海之颠-每周宝箱
    GodSeaPeak_DanReward = "GodSeaPeak_DanReward"; -- 神海之巅-段位首达奖励
    GodSeaPeak_Fight = "GodSeaPeak_Fight"; -- 神海之巅-挑战
    GodSeaPeak_Record = "GodSeaPeak_Record"; -- 神海之巅-战报
    GodSeaPeak_WarOrder = "GodSeaPeak_WarOrder"; -- 神海之颠-战令红点
    GodSeaPeak_Treasure_Draw = "GodSeaPeak_Treasure_Draw"; -- 神海之颠-转盘抽奖
    GodSeaPeak_Treasure_Reward = "GodSeaPeak_Treasure_Reward"; -- 神海之颠-转盘奖励
    GodSeaPeak_Honour_Like = "GodSeaPeak_Honour_Like"; -- 神海之颠-荣耀殿堂点赞

    Strategy = "Strategy"; -- 攻略
    Strategy_Lineup = "Strategy_Lineup"; -- 攻略-阵容

    LuxuryCash = "LuxuryCash"; -- 豪礼兑换
    LuxuryCash_Task = "LuxuryCash_Task"; -- 豪礼兑换-任务
    LuxuryCash_Shop = "LuxuryCash_Shop"; -- 豪礼兑换-商店
    LuxuryCash_Shop1 = "LuxuryCash_Shop1"; -- 豪礼兑换-商店1
    LuxuryCash_Shop2 = "LuxuryCash_Shop2"; -- 豪礼兑换-商店2

    GoFishing = "GoFishing"; -- 钓鱼
    GoFishing_CanFishClick = "GoFishing_CanFishClick"; -- 钓鱼-可以钓鱼
    GoFishing_AquariumUpLv = "GoFishing_AquariumUpLv"; -- 钓鱼-水族馆升级
    GoFishing_Indent = "GoFishing_Indent"; -- 钓鱼-可以领取订单
    GoFishing_Fishery = "GoFishing_Fishery"; -- 钓鱼-可以解锁渔场
    GoFishing_Atlas = "GoFishing_Atlas"; -- 钓鱼-图鉴
    GoFishing_Atlas_Collection = "GoFishing_Atlas_Collection"; -- 钓鱼-首次进入游戏可以升级藏品
    GoFishing_Atlas_NewAtlas = "GoFishing_Atlas_NewAtlas"; -- 钓鱼-解锁新图鉴
};

function Lua_RedPointUtil:ctor()
end

function Lua_RedPointUtil.Get:redPointConfig()
    if self._redPointConfig == nil then
        self._redPointConfig = getConfig("redPoint");
    end
    return self._redPointConfig;
end

function Lua_RedPointUtil:getRedPointConfig(id, name)
    local config = self.redPointConfig[id];
    if config ~= nil then
        if name ~= nil then
            return config[name];
        end
        return config;
    end
    return nil;
end