Lua_ShopMainTypeVo = class("Lua_ShopMainTypeVo")
function Lua_ShopMainTypeVo:ctor(id, config)
	self.id = id;
	self._config = config;
end

function Lua_ShopMainTypeVo.Get:subTypeArr()
	local vo;
	local arr = Array();
	for i = 1, #self.shopList do
		vo = DataCenter.shopUtil:getShopSubTypeVo(self.shopList[i]);
		arr:add(vo);
	end
	return arr;
end

function Lua_ShopMainTypeVo.Get:openSubTypeArr()
	local vo;
	local arr = Array();
	for i = 1, #self.shopList do
		vo = DataCenter.shopUtil:getShopSubTypeVo(self.shopList[i]);
		if vo and vo.bOpened then
			arr:add(vo);
		end
	end
	return arr;
end

function Lua_ShopMainTypeVo.Get:redDotState()
	local arr = self.openSubTypeArr;
	for i = 1, arr:getSize() do
		if arr[i].redDotState then
			return true;
		end
	end
	return false;
end






function Lua_ShopMainTypeVo.Get:config()
	if self._config == nil then
		self._config = getConfig("shop_main_type", self.id);
	end
	return self._config;
end

-- 商城名
function Lua_ShopMainTypeVo.Get:name()
	return self.config.name;
end

-- 显示顺序
function Lua_ShopMainTypeVo.Get:sortIdx()
	return self.config.sortIdx;
end

-- 显示商店集合
function Lua_ShopMainTypeVo.Get:shopList()
	return self.config.shop_list or {};
end

-- icon图集
function Lua_ShopMainTypeVo.Get:iconAtlas()
	return self.config.icon_atlas;
end

-- 功能未开启图
function Lua_ShopMainTypeVo.Get:iconUnOpen()
	return self.config.icon_un_open;
end

-- 默认图
function Lua_ShopMainTypeVo.Get:iconNormal()
	return self.config.icon_normal;
end

-- 选中图
function Lua_ShopMainTypeVo.Get:iconSelected()
	return self.config.icon_selected;
end