Lua_BuffVo = class("Lua_BuffVo");
function Lua_BuffVo.getBuffVo(arr, buffId)
    if arr ~= nil and buffId ~= nil and buffId > 0 then
        for i = 1, arr:getSize() do
            if arr.id == buffId then
                return arr[i];
            end
        end
    end
    return nil;
end

function Lua_BuffVo.returnIdleVo(vo)
    if vo == nil then
        return;
    end

    vo:clean();
    if Lua_BuffVo.buffsIdleList:getSize() < 20 then
    	Lua_BuffVo.buffsIdleList:add(vo); 
    end
end

function Lua_BuffVo.returnIdleVo(arr)
    if arr == nil then
        return;
    end

    local count = arr:getSize();
    local idleCount = Lua_BuffVo.buffsIdleList:getSize();
    while (count > 0) do
        local vo = arr[count];
        vo:clean();
        arr:remove(count);
        if idleCount < 20 then
            Lua_BuffVo.buffsIdleList:add(vo);
           	idleCount = idleCount + 1;
        end
        count = count + 1;
    end
end

function Lua_BuffVo.createBuffVo(buffId)
    local vo;
    if Lua_BuffVo.buffsIdleList:getSize() > 0 then
        vo = Lua_BuffVo.buffsIdleList:remove();
        vo.id = buffId;
        return vo;
    end

    vo = Lua_BuffVo.new();
    vo.id = buffId;
    return vo;
end



function Lua_BuffVo:ctor()
	self:superCall("ctor");
end

function Lua_BuffVo:clean()
	self._id = 0;
end

function Lua_BuffVo.Get:id()
	return self._id;
end

function Lua_BuffVo.Set:id(value)
	self._id = value;
end

function Lua_BuffVo.Get:atlas()
	return self._atlas;
end

function Lua_BuffVo.Set:atlas(value)
	self._atlas = value;
end

function Lua_BuffVo.Get:sprite()
	return self._sprite;
end

function Lua_BuffVo.Set:sprite(value)
	self._sprite = value;
end

function Lua_BuffVo.Get:sortWeight()
	return self._sortWeight == nil and 0 or self._sortWeight;
end

function Lua_BuffVo.Set:sortWeight(value)
	self._sortWeight = value;
end

function Lua_BuffVo.Get:overlayNum()
	return self._overlayNum == nil and 0 or self._overlayNum;
end

function Lua_BuffVo.Set:overlayNum(value)
	self._overlayNum = value;
end

function Lua_BuffVo.Get:leftRound()
	return self._leftRound == nil and 0 or self._leftRound;
end

function Lua_BuffVo.Set:leftRound(value)
	self._leftRound = value;
end