-- 升星专属(周期)(后台)
checkRequire("Lua_UpStarOfCycleVo");
Lua_UpStarOfCycleData = class("Lua_UpStarOfCycleData");
function Lua_UpStarOfCycleData:ctor()
	self:superCall("ctor");
end

function Lua_UpStarOfCycleData:dispose()
	if self.upStarOfCycleDic ~= nil then
		local len = self._upStarOfCycleArr:getSize();
		while len > 0 do
			local key = self._upStarOfCycleArr:remove(len);
			if key then
				self.upStarOfCycleDic[key]:dispose();
				self.upStarOfCycleDic[key] = nil;
			end
			len = len - 1;
		end
		self.upStarOfCycleDic = nil;
		self._upStarOfCycleArr = nil;
	end
	self.isFirst = nil;
	self:superCall("dispose");
end

function Lua_UpStarOfCycleData:fromServer50108005(msg)
	if msg == nil then
		return;
	end
	if self.upStarOfCycleDic == nil then
		self.upStarOfCycleDic = {};
		self._upStarOfCycleArr = Array();
	end
	self.heroId = msg.hero_id; -- 活动升星英雄id
	self.quality = msg.quality; -- 英雄质量
	self.qualityStar = msg.quality_star; -- 英雄质量星级
	self.eventId = msg.return_id; -- 跳转界面id
	
	local obj, vo, star;
	for i = 1, #msg.reward_state do -- 各档位奖励状态
		obj = msg.reward_state[i];
		star = DataCenter.heroUtil:getHeroAwakenStarByQuality(quality, quality_star);
		vo = self:getUpStarOfCycleVoInfo(star);
		if vo == nil then
			vo = Lua_UpStarOfCycleVo.new();
			vo:initRewardInfo(obj);
			self.upStarOfCycleDic[star] = vo;
			self._upStarOfCycleArr:add(star);
		end
		vo:updateTimes(obj.free_cell.curr_times, obj.recharge_cell.curr_times);
	end
end

function Lua_UpStarOfCycleData:getUpStarOfCycleVoInfo(star)
	if star == nil or self.upStarOfCycleDic == nil or self.upStarOfCycleDic[star] == nil then
		return nil;
	end
	return self.upStarOfCycleDic[star];
end

function Lua_UpStarOfCycleData.Get:upStarOfCycleArr()
	if not self.isFirst then
		self.isFirst = true;
		self._upStarOfCycleArr:sortf(self, self.sortFun);
	end
	return self._upStarOfCycleArr;
end

function Lua_UpStarOfCycleData:sortFun(a, b)
	local _a = self:getUpStarOfCycleVoInfo(a);
	local _b = self:getUpStarOfCycleVoInfo(b);
	return _a.freeGiftId < _b.freeGiftId;
end